- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_TaskCategory;'
    index: 3004 # was `Related Menu Item`
    name: Task Category
    customTagName: taskCategory
    attributes:
    - instance: '&IDA_Name;'
      customTagName: name

  # ents defined in ../000-EntityDefinitions/016-TaskCategories.yaml
  - taskCategory: '&IDI_TaskCategory_Class;'
    name: 'Class'
  - taskCategory: '&IDI_TaskCategory_Report;'
    name: 'Report'
  - taskCategory: '&IDI_TaskCategory_Instance;'
    name: 'Instance'
  - taskCategory: '&IDI_TaskCategory_MethodBinding;'
    name: 'Method Binding'
  - taskCategory: '&IDI_TaskCategory_ReturnedWorkData;'
    name: 'Returned Work Data'
  - taskCategory: '&IDI_TaskCategory_Debugging;'
    name: 'Debugging'
  - taskCategory: '&IDI_TaskCategory_Element;'
    name: 'Element'
  - taskCategory: '&IDI_TaskCategory_SystemUser;'
    name: 'System User'